//
//  ViewController.swift
//  Lotto
//
//  Created by Holger Hinzberg on 09.04.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import UIKit

class ViewController: UIViewController
{
    @IBOutlet var label1:UILabel?
    @IBOutlet var label2:UILabel?
    @IBOutlet var label3:UILabel?
    @IBOutlet var label4:UILabel?
    @IBOutlet var label5:UILabel?
    @IBOutlet var label6:UILabel?
    // Der Lottozahlengenerator als Eigenschaft der Klasse
    var generator:LottoGenerator?
    
    @IBAction func lottoButtonTouched(object:AnyObject)
    {
        print(__FUNCTION__)
        
        // Eine Instanz der Klasse LottoGenerator
        // erzeugen wenn noch kein Objekt angelegt wurde
        if generator == nil
        {
            self.generator = LottoGenerator()
        }
        
        var numbers:[Int] = generator!.generate(6)
        
        // Werte aus dem Array an die
        // Steuerelemente übergeben
        label1?.text = "\(numbers[0])"
        label2?.text = "\(numbers[1])"
        label3?.text = "\(numbers[2])"
        label4?.text = "\(numbers[3])"
        label5?.text = "\(numbers[4])"
        label6?.text = "\(numbers[5])"
    }
    
    @IBAction func deleteButtonTouched(object:AnyObject)
    {
        print(__FUNCTION__)
        self.clearLabels()
    }
    
    func clearLabels()
    {
        // Die Inhalte der Bezeichnungsfelder leeren
        label1?.text = ""
        label2?.text = ""
        label3?.text = ""
        label4?.text = ""
        label5?.text = ""
        label6?.text = ""
    }
    
    override func viewDidLoad()
     {
        super.viewDidLoad()
        self.clearLabels()
       // Die Hintergrundfarbe ändern
       // self.view.backgroundColor = UIColor.redColor()
       print(__FUNCTION__)
    }

    override func viewDidAppear(animated: Bool)
    {
        super.viewDidAppear(animated)
        print(__FUNCTION__)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func supportedInterfaceOrientations() -> UIInterfaceOrientationMask
    {
        super.supportedInterfaceOrientations()
        return UIInterfaceOrientationMask.AllButUpsideDown
    }
}




